<xml xmlns="https://developers.google.com/blockly/xml"><block type="factory_base" id=":P%g^Tat4,k}LH$!?*h7" deletable="false" movable="false" x="10" y="10">
    <mutation connections="BOTH"></mutation>
    <field name="NAME">piano_nota_dur_on_off</field>
    <field name="INLINE">INT</field>
    <field name="CONNECTIONS">BOTH</field>
    <statement name="INPUTS">
      <block type="input_value" id="^xOe?fM^lA$Xy)ma.vlA">
        <field name="INPUTNAME">var</field>
        <field name="ALIGN">LEFT</field>
        <statement name="FIELDS">
          <block type="field_image" id="Em{-5E!_LmN!o6vMDCn|">
            <field name="SRC">./chuckImg/instruments/piano.png</field>
            <field name="WIDTH">20</field>
            <field name="HEIGHT">20</field>
            <field name="ALT">Piano</field>
            <field name="FLIP_RTL">FALSE</field>
            <next>
              <block type="field_static" id="j47d)cG$Hj;ec#X5M0/,">
                <field name="TEXT">Piano:</field>
              </block>
            </next>
          </block>
        </statement>
        <value name="TYPE">
          <shadow type="type_null" id="`pJ[6#0t$,ufAR8}IM4d"></shadow>
          <block type="type_other" id="H|QQyec|dmaPjAD^evm{">
            <field name="TYPE">Rhodey</field>
          </block>
        </value>
        <next>
          <block type="input_value" id="vI.iPQ-m/#WP_H;-wCUN">
            <field name="INPUTNAME">note</field>
            <field name="ALIGN">LEFT</field>
            <statement name="FIELDS">
              <block type="field_static" id="E6]g(9(;*ZJ*kl5qs@$7">
                <field name="TEXT">Nota:</field>
              </block>
            </statement>
            <value name="TYPE">
              <shadow type="type_null" id="[h-%5]6{,wM`O3[?yF}$"></shadow>
              <block type="type_group" id="EokyUL3g~!SKNLV(O!(+">
                <mutation types="2"></mutation>
                <value name="TYPE0">
                  <block type="type_other" id="WbnNsk@yEunMPYtd@]6a">
                    <field name="TYPE">int</field>
                  </block>
                </value>
                <value name="TYPE1">
                  <block type="type_other" id="ks@lL1_?s7pLD5J%pQ[v">
                    <field name="TYPE">float</field>
                  </block>
                </value>
              </block>
            </value>
            <next>
              <block type="input_value" id="Y}Fg`sjbJNG+e{cPWD+a">
                <field name="INPUTNAME">dur</field>
                <field name="ALIGN">LEFT</field>
                <statement name="FIELDS">
                  <block type="field_static" id="f?dIXy~rxORxQ_kU6q*~">
                    <field name="TEXT">Dur:</field>
                  </block>
                </statement>
                <value name="TYPE">
                  <shadow type="type_null" id="mEM=gFF3}RZY.%o-N*Lh"></shadow>
                  <block type="type_group" id="uOKI`5(ZG,2ZIgh=Tghn">
                    <mutation types="3"></mutation>
                    <value name="TYPE0">
                      <block type="type_other" id="~FXdCvE8M9#@{|UGquQa">
                        <field name="TYPE">int</field>
                      </block>
                    </value>
                    <value name="TYPE1">
                      <block type="type_other" id="F$Lk1oW]-.,8P.d-)yig">
                        <field name="TYPE">float</field>
                      </block>
                    </value>
                    <value name="TYPE2">
                      <block type="type_other" id="Xtzdr}:KG06qR??:zS/5">
                        <field name="TYPE">dur</field>
                      </block>
                    </value>
                  </block>
                </value>
                <next>
                  <block type="input_value" id="3DbNFYR!JR4ijgy;Ng{^">
                    <field name="INPUTNAME">note_on</field>
                    <field name="ALIGN">LEFT</field>
                    <statement name="FIELDS">
                      <block type="field_static" id="oAIoqY0oyL8At|o6geY(">
                        <field name="TEXT">On:</field>
                      </block>
                    </statement>
                    <value name="TYPE">
                      <shadow type="type_null" id="mEM=gFF3}RZY.%o-N*Lh"></shadow>
                      <block type="type_group" id="I)$8jxq/SFm*/Q3whg4F">
                        <mutation types="3"></mutation>
                        <value name="TYPE0">
                          <block type="type_other" id="QN~Vnz5lraY^Z#^5z{]V">
                            <field name="TYPE">int</field>
                          </block>
                        </value>
                        <value name="TYPE1">
                          <block type="type_other" id="~cf]O8%f_U7eZVPqLcCB">
                            <field name="TYPE">float</field>
                          </block>
                        </value>
                        <value name="TYPE2">
                          <block type="type_other" id="~7y}fs6+0ue:EI-%|2KT">
                            <field name="TYPE">dur</field>
                          </block>
                        </value>
                      </block>
                    </value>
                    <next>
                      <block type="input_value" id="V#WYha+r3VIJ1W~AT=og">
                        <field name="INPUTNAME">note_off</field>
                        <field name="ALIGN">LEFT</field>
                        <statement name="FIELDS">
                          <block type="field_static" id="4ray1DL5`[wqOqe:m7Q{">
                            <field name="TEXT">Off:</field>
                          </block>
                        </statement>
                        <value name="TYPE">
                          <shadow type="type_null" id="NeKWy?Y`Mx$Te*4(B]+5"></shadow>
                          <block type="type_group" id="8HbJ!j]=HQary`XFlU3Z">
                            <mutation types="2"></mutation>
                            <value name="TYPE0">
                              <block type="type_other" id="LD%I-f$H2A|xB$9RN,4]">
                                <field name="TYPE">int</field>
                              </block>
                            </value>
                            <value name="TYPE1">
                              <block type="type_other" id="hi$M2~:Rv_s#M[gXcSoR">
                                <field name="TYPE">float</field>
                              </block>
                            </value>
                          </block>
                        </value>
                      </block>
                    </next>
                  </block>
                </next>
              </block>
            </next>
          </block>
        </next>
      </block>
    </statement>
    <value name="TOOLTIP">
      <block type="text" id="/C#{SxU=CF)++TVe2q34" deletable="false" movable="false">
        <field name="TEXT">Piano: variable tipo piano, Nota: nota midi, Dur: Tiempo, On: Velocidad de encendido, Off: velocidad de apagado</field>
      </block>
    </value>
    <value name="HELPURL">
      <block type="text" id="Wqfv#K^V2u.[DrgE;Ks9" deletable="false" movable="false">
        <field name="TEXT"></field>
      </block>
    </value>
    <value name="TOPTYPE">
      <shadow type="type_null" id="fT@lUO5+,s9DL_l@zJMW"></shadow>
    </value>
    <value name="BOTTOMTYPE">
      <shadow type="type_null" id="i}UlBW#GlQVf(eHeq?Ah"></shadow>
    </value>
    <value name="COLOUR">
      <block type="colour_hue" id="RfFXf$P)nOaD%*cC12sr">
        <mutation colour="#5b67a5"></mutation>
        <field name="HUE">230</field>
      </block>
    </value>
  </block><block type="factory_base" id="epB@H(3860V7*@UVf6w." deletable="false" movable="false" x="10" y="10">
    <mutation connections="BOTH"></mutation>
    <field name="NAME">piano_noteon</field>
    <field name="INLINE">INT</field>
    <field name="CONNECTIONS">BOTH</field>
    <statement name="INPUTS">
      <block type="input_value" id="]l9r%t?d4vULN9z~MA^6">
        <field name="INPUTNAME">instrument</field>
        <field name="ALIGN">LEFT</field>
        <statement name="FIELDS">
          <block type="field_image" id="gk%M44vMkkwiJXKwrlOF">
            <field name="SRC">./chuckImg/instruments/piano.png</field>
            <field name="WIDTH">20</field>
            <field name="HEIGHT">20</field>
            <field name="ALT">*</field>
            <field name="FLIP_RTL">FALSE</field>
            <next>
              <block type="field_static" id="SqHe[J^hWEAE-aOh)6Qz">
                <field name="TEXT">Piano:</field>
              </block>
            </next>
          </block>
        </statement>
        <value name="TYPE">
          <shadow type="type_null" id="B]hPmh#y|*fv,nh/E*[X"></shadow>
          <block type="type_other" id="PFJpTG!A,ashl-w5avt4">
            <field name="TYPE">Rhodey</field>
          </block>
        </value>
        <next>
          <block type="input_value" id="arX195MtQdGlxG)J*6-P">
            <field name="INPUTNAME">velocity</field>
            <field name="ALIGN">LEFT</field>
            <statement name="FIELDS">
              <block type="field_static" id="Ej!h^GECjXHv~vAXt29+">
                <field name="TEXT">ON:</field>
              </block>
            </statement>
            <value name="TYPE">
              <shadow type="type_null" id="aHE~TO8+pJ.g4EscKs`N"></shadow>
              <block type="type_group" id="Ud4t}0bqR0Q(Ii|?oK@`">
                <mutation types="2"></mutation>
                <value name="TYPE0">
                  <block type="type_other" id="D;A00R@=XuMtx,M;%lmr">
                    <field name="TYPE">int</field>
                  </block>
                </value>
                <value name="TYPE1">
                  <block type="type_other" id="rWWT[SUT3qd0q}t+djG2">
                    <field name="TYPE">float</field>
                  </block>
                </value>
              </block>
            </value>
          </block>
        </next>
      </block>
    </statement>
    <value name="TOOLTIP">
      <block type="text" id="*C[I[9)LrrgoS~ml{wlk" deletable="false" movable="false">
        <field name="TEXT">Activar nota, Piano: variable tipo piano, ON: velocidad de encendido generalmente entre 0 - 1</field>
      </block>
    </value>
    <value name="HELPURL">
      <block type="text" id="r.bA)jY?N?2)}hW3[~:d" deletable="false" movable="false">
        <field name="TEXT"></field>
      </block>
    </value>
    <value name="TOPTYPE">
      <shadow type="type_null" id="-W8_j^jn^GN(xX|U}N9?"></shadow>
    </value>
    <value name="BOTTOMTYPE">
      <shadow type="type_null" id="+/+0H[cP3QFT5B5^%A27"></shadow>
    </value>
    <value name="COLOUR">
      <block type="colour_hue" id="h=zz24C2?8A-X%n1OM~@">
        <mutation colour="#5b67a5"></mutation>
        <field name="HUE">230</field>
      </block>
    </value>
  </block><block type="factory_base" id="epB@H(3860V7*@UVf6w." deletable="false" movable="false" x="10" y="10">
    <mutation connections="BOTH"></mutation>
    <field name="NAME">piano_noteoff</field>
    <field name="INLINE">INT</field>
    <field name="CONNECTIONS">BOTH</field>
    <statement name="INPUTS">
      <block type="input_value" id="]l9r%t?d4vULN9z~MA^6">
        <field name="INPUTNAME">instrument</field>
        <field name="ALIGN">LEFT</field>
        <statement name="FIELDS">
          <block type="field_image" id="gk%M44vMkkwiJXKwrlOF">
            <field name="SRC">./chuckImg/instruments/piano.png</field>
            <field name="WIDTH">20</field>
            <field name="HEIGHT">20</field>
            <field name="ALT">*</field>
            <field name="FLIP_RTL">FALSE</field>
            <next>
              <block type="field_static" id="SqHe[J^hWEAE-aOh)6Qz">
                <field name="TEXT">Piano:</field>
              </block>
            </next>
          </block>
        </statement>
        <value name="TYPE">
          <shadow type="type_null" id="B]hPmh#y|*fv,nh/E*[X"></shadow>
          <block type="type_other" id="PFJpTG!A,ashl-w5avt4">
            <field name="TYPE">Rhodey</field>
          </block>
        </value>
        <next>
          <block type="input_value" id="arX195MtQdGlxG)J*6-P">
            <field name="INPUTNAME">velocity</field>
            <field name="ALIGN">LEFT</field>
            <statement name="FIELDS">
              <block type="field_static" id="Ej!h^GECjXHv~vAXt29+">
                <field name="TEXT">OFF:</field>
              </block>
            </statement>
            <value name="TYPE">
              <shadow type="type_null" id="aHE~TO8+pJ.g4EscKs`N"></shadow>
              <block type="type_group" id="Ud4t}0bqR0Q(Ii|?oK@`">
                <mutation types="2"></mutation>
                <value name="TYPE0">
                  <block type="type_other" id="D;A00R@=XuMtx,M;%lmr">
                    <field name="TYPE">int</field>
                  </block>
                </value>
                <value name="TYPE1">
                  <block type="type_other" id="rWWT[SUT3qd0q}t+djG2">
                    <field name="TYPE">float</field>
                  </block>
                </value>
              </block>
            </value>
          </block>
        </next>
      </block>
    </statement>
    <value name="TOOLTIP">
      <block type="text" id="*C[I[9)LrrgoS~ml{wlk" deletable="false" movable="false">
        <field name="TEXT">Desativar nota nota, Piano: variable tipo piano, ON: velocidad de apagado generalmente entre 0 - 1</field>
      </block>
    </value>
    <value name="HELPURL">
      <block type="text" id="r.bA)jY?N?2)}hW3[~:d" deletable="false" movable="false">
        <field name="TEXT"></field>
      </block>
    </value>
    <value name="TOPTYPE">
      <shadow type="type_null" id="-W8_j^jn^GN(xX|U}N9?"></shadow>
    </value>
    <value name="BOTTOMTYPE">
      <shadow type="type_null" id="+/+0H[cP3QFT5B5^%A27"></shadow>
    </value>
    <value name="COLOUR">
      <block type="colour_hue" id="h=zz24C2?8A-X%n1OM~@">
        <mutation colour="#5b67a5"></mutation>
        <field name="HUE">230</field>
      </block>
    </value>
  </block><block type="factory_base" id="epB@H(3860V7*@UVf6w." deletable="false" movable="false" x="10" y="10">
    <mutation connections="BOTH"></mutation>
    <field name="NAME">piano_gain</field>
    <field name="INLINE">INT</field>
    <field name="CONNECTIONS">BOTH</field>
    <statement name="INPUTS">
      <block type="input_value" id="]l9r%t?d4vULN9z~MA^6">
        <field name="INPUTNAME">instrument</field>
        <field name="ALIGN">LEFT</field>
        <statement name="FIELDS">
          <block type="field_image" id="gk%M44vMkkwiJXKwrlOF">
            <field name="SRC">./chuckImg/instruments/piano.png</field>
            <field name="WIDTH">20</field>
            <field name="HEIGHT">20</field>
            <field name="ALT">*</field>
            <field name="FLIP_RTL">FALSE</field>
            <next>
              <block type="field_static" id="SqHe[J^hWEAE-aOh)6Qz">
                <field name="TEXT">Piano:</field>
              </block>
            </next>
          </block>
        </statement>
        <value name="TYPE">
          <shadow type="type_null" id="B]hPmh#y|*fv,nh/E*[X"></shadow>
          <block type="type_other" id="PFJpTG!A,ashl-w5avt4">
            <field name="TYPE">Rhodey</field>
          </block>
        </value>
        <next>
          <block type="input_value" id="arX195MtQdGlxG)J*6-P">
            <field name="INPUTNAME">gain</field>
            <field name="ALIGN">LEFT</field>
            <statement name="FIELDS">
              <block type="field_static" id="Ej!h^GECjXHv~vAXt29+">
                <field name="TEXT">Volumen</field>
              </block>
            </statement>
            <value name="TYPE">
              <shadow type="type_null" id="aHE~TO8+pJ.g4EscKs`N"></shadow>
              <block type="type_group" id="Ud4t}0bqR0Q(Ii|?oK@`">
                <mutation types="2"></mutation>
                <value name="TYPE0">
                  <block type="type_other" id="D;A00R@=XuMtx,M;%lmr">
                    <field name="TYPE">int</field>
                  </block>
                </value>
                <value name="TYPE1">
                  <block type="type_other" id="rWWT[SUT3qd0q}t+djG2">
                    <field name="TYPE">float</field>
                  </block>
                </value>
              </block>
            </value>
          </block>
        </next>
      </block>
    </statement>
    <value name="TOOLTIP">
      <block type="text" id="*C[I[9)LrrgoS~ml{wlk" deletable="false" movable="false">
        <field name="TEXT">Control de volumen. Piano: variable tipo piano, Volumen: volumen del piano, valor entre 0 - 1, ejemplo: 0.5</field>
      </block>
    </value>
    <value name="HELPURL">
      <block type="text" id="r.bA)jY?N?2)}hW3[~:d" deletable="false" movable="false">
        <field name="TEXT"></field>
      </block>
    </value>
    <value name="TOPTYPE">
      <shadow type="type_null" id="-W8_j^jn^GN(xX|U}N9?"></shadow>
    </value>
    <value name="BOTTOMTYPE">
      <shadow type="type_null" id="+/+0H[cP3QFT5B5^%A27"></shadow>
    </value>
    <value name="COLOUR">
      <block type="colour_hue" id="h=zz24C2?8A-X%n1OM~@">
        <mutation colour="#5b67a5"></mutation>
        <field name="HUE">230</field>
      </block>
    </value>
  </block><block type="factory_base" id="epB@H(3860V7*@UVf6w." deletable="false" movable="false" x="10" y="10">
    <mutation connections="BOTH"></mutation>
    <field name="NAME">piano_note</field>
    <field name="INLINE">INT</field>
    <field name="CONNECTIONS">BOTH</field>
    <statement name="INPUTS">
      <block type="input_value" id="]l9r%t?d4vULN9z~MA^6">
        <field name="INPUTNAME">instrument</field>
        <field name="ALIGN">LEFT</field>
        <statement name="FIELDS">
          <block type="field_image" id="gk%M44vMkkwiJXKwrlOF">
            <field name="SRC">./chuckImg/instruments/piano.png</field>
            <field name="WIDTH">20</field>
            <field name="HEIGHT">20</field>
            <field name="ALT">*</field>
            <field name="FLIP_RTL">FALSE</field>
            <next>
              <block type="field_static" id="SqHe[J^hWEAE-aOh)6Qz">
                <field name="TEXT">Piano:</field>
              </block>
            </next>
          </block>
        </statement>
        <value name="TYPE">
          <shadow type="type_null" id="B]hPmh#y|*fv,nh/E*[X"></shadow>
          <block type="type_other" id="PFJpTG!A,ashl-w5avt4">
            <field name="TYPE">Rhodey</field>
          </block>
        </value>
        <next>
          <block type="input_value" id="arX195MtQdGlxG)J*6-P">
            <field name="INPUTNAME">note</field>
            <field name="ALIGN">LEFT</field>
            <statement name="FIELDS">
              <block type="field_static" id="Ej!h^GECjXHv~vAXt29+">
                <field name="TEXT">Nota:</field>
              </block>
            </statement>
            <value name="TYPE">
              <shadow type="type_null" id="aHE~TO8+pJ.g4EscKs`N"></shadow>
              <block type="type_group" id="Ud4t}0bqR0Q(Ii|?oK@`">
                <mutation types="2"></mutation>
                <value name="TYPE0">
                  <block type="type_other" id="D;A00R@=XuMtx,M;%lmr">
                    <field name="TYPE">int</field>
                  </block>
                </value>
                <value name="TYPE1">
                  <block type="type_other" id="rWWT[SUT3qd0q}t+djG2">
                    <field name="TYPE">float</field>
                  </block>
                </value>
              </block>
            </value>
          </block>
        </next>
      </block>
    </statement>
    <value name="TOOLTIP">
      <block type="text" id="*C[I[9)LrrgoS~ml{wlk" deletable="false" movable="false">
        <field name="TEXT">Configurar nota midi, Piano: variable tipo piano, Nota: Nota midi, ejemplo: 60 que representa el Do 4 octava</field>
      </block>
    </value>
    <value name="HELPURL">
      <block type="text" id="r.bA)jY?N?2)}hW3[~:d" deletable="false" movable="false">
        <field name="TEXT"></field>
      </block>
    </value>
    <value name="TOPTYPE">
      <shadow type="type_null" id="-W8_j^jn^GN(xX|U}N9?"></shadow>
    </value>
    <value name="BOTTOMTYPE">
      <shadow type="type_null" id="+/+0H[cP3QFT5B5^%A27"></shadow>
    </value>
    <value name="COLOUR">
      <block type="colour_hue" id="h=zz24C2?8A-X%n1OM~@">
        <mutation colour="#5b67a5"></mutation>
        <field name="HUE">230</field>
      </block>
    </value>
  </block><block type="factory_base" id="epB@H(3860V7*@UVf6w." deletable="false" movable="false" x="10" y="10">
    <mutation connections="BOTH"></mutation>
    <field name="NAME">piano_freq</field>
    <field name="INLINE">INT</field>
    <field name="CONNECTIONS">BOTH</field>
    <statement name="INPUTS">
      <block type="input_value" id="]l9r%t?d4vULN9z~MA^6">
        <field name="INPUTNAME">instrument</field>
        <field name="ALIGN">LEFT</field>
        <statement name="FIELDS">
          <block type="field_image" id="gk%M44vMkkwiJXKwrlOF">
            <field name="SRC">./chuckImg/instruments/piano.png</field>
            <field name="WIDTH">20</field>
            <field name="HEIGHT">20</field>
            <field name="ALT">*</field>
            <field name="FLIP_RTL">FALSE</field>
            <next>
              <block type="field_static" id="SqHe[J^hWEAE-aOh)6Qz">
                <field name="TEXT">Piano:</field>
              </block>
            </next>
          </block>
        </statement>
        <value name="TYPE">
          <shadow type="type_null" id="B]hPmh#y|*fv,nh/E*[X"></shadow>
          <block type="type_other" id="PFJpTG!A,ashl-w5avt4">
            <field name="TYPE">Rhodey</field>
          </block>
        </value>
        <next>
          <block type="input_value" id="arX195MtQdGlxG)J*6-P">
            <field name="INPUTNAME">note</field>
            <field name="ALIGN">LEFT</field>
            <statement name="FIELDS">
              <block type="field_static" id="Ej!h^GECjXHv~vAXt29+">
                <field name="TEXT">Frecuencia</field>
              </block>
            </statement>
            <value name="TYPE">
              <shadow type="type_null" id="aHE~TO8+pJ.g4EscKs`N"></shadow>
              <block type="type_group" id="Ud4t}0bqR0Q(Ii|?oK@`">
                <mutation types="2"></mutation>
                <value name="TYPE0">
                  <block type="type_other" id="D;A00R@=XuMtx,M;%lmr">
                    <field name="TYPE">int</field>
                  </block>
                </value>
                <value name="TYPE1">
                  <block type="type_other" id="rWWT[SUT3qd0q}t+djG2">
                    <field name="TYPE">float</field>
                  </block>
                </value>
              </block>
            </value>
          </block>
        </next>
      </block>
    </statement>
    <value name="TOOLTIP">
      <block type="text" id="*C[I[9)LrrgoS~ml{wlk" deletable="false" movable="false">
        <field name="TEXT">Configurar frecuencia, Piano: variable tipo piano, Frecuencia:  Ejemplo:  263 que representa el Do 4 octava</field>
      </block>
    </value>
    <value name="HELPURL">
      <block type="text" id="r.bA)jY?N?2)}hW3[~:d" deletable="false" movable="false">
        <field name="TEXT"></field>
      </block>
    </value>
    <value name="TOPTYPE">
      <shadow type="type_null" id="-W8_j^jn^GN(xX|U}N9?"></shadow>
    </value>
    <value name="BOTTOMTYPE">
      <shadow type="type_null" id="+/+0H[cP3QFT5B5^%A27"></shadow>
    </value>
    <value name="COLOUR">
      <block type="colour_hue" id="h=zz24C2?8A-X%n1OM~@">
        <mutation colour="#5b67a5"></mutation>
        <field name="HUE">230</field>
      </block>
    </value>
  </block></xml>